k3s/pkg
Kubernetes Submit Queue 284964f117
Merge pull request #66841 from smarterclayton/multiline
Automatic merge from submit-queue (batch tested with PRs 66911, 66841). If you want to cherry-pick this change to another branch, please follow the instructions <a href="https://github.com/kubernetes/community/blob/master/contributors/devel/cherry-picks.md">here</a>.

Make kubectl describe more tolerant of newlines

Newlines in the `command`, `args`, `env.value`, or `annotations` fields are not uncommon. Wrap and indent these fields so that describe is more readable.

Before:

```
    Host Port:     <none>
    Command:
      /bin/bash
      -c
      #!/bin/bash
set -euo pipefail

# set by the node image
unset KUBECONFIG

trap 'kill $(jobs -p); exit 0' TERM

# track the current state of the config
```

After:

```
    Host Port:     <none>
    Command:
      /bin/bash
      -c
      #!/bin/bash
      set -euo pipefail

      # set by the node image
      unset KUBECONFIG

      trap 'kill $(jobs -p); exit 0' TERM

      # track the current state of the config
```

Annotations when wrapping:

```
Annotations:  kubectl.kubernetes.io/desired-replicas: 1
              openshift.io/deployer-pod.completed-at: 2018-07-31 22:47:15 +0000 UTC
              openshift.io/deployer-pod.created-at: 2018-07-31 22:37:11 +0000 UTC
              openshift.io/deployer-pod.name: test-3-deploy
              openshift.io/deployment-config.latest-version: 3
              openshift.io/deployment-config.name: test
              openshift.io/deployment.phase: Failed
              openshift.io/deployment.replicas: 0
              openshift.io/deployment.status-reason: manual change
              openshift.io/encoded-deployment-config:
                {"kind":"DeploymentConfig","apiVersion":"apps.openshift.io/v1","metadata":{"name":"test","namespace":"clayton-dev","selfLink":"/apis/apps.op...
```

```release-note
Handle newlines for `command`, `args`, `env`, and `annotations` in `kubectl describe` wrapping
```
2018-08-02 21:25:03 -07:00
..
api make package name match all the import aliases 2018-08-01 15:31:12 -04:00
apis make package name match all the import aliases 2018-08-01 15:31:12 -04:00
auth Improve multi-authorizer errors 2018-07-06 10:55:17 -04:00
capabilities
client clean up node expansion 2018-07-10 11:01:15 +08:00
cloudprovider Merge pull request #65730 from ddebroy/ebs-affinity1 2018-08-01 15:52:07 -07:00
controller dry-run: Update DynamicClient to pass Create/Update options 2018-08-02 10:38:31 -07:00
credentialprovider fix acr sp access issue 2018-07-20 08:39:31 +00:00
features Merge pull request #66726 from liggitt/kubelet-server 2018-07-27 22:17:09 -07:00
fieldpath fieldpath: Add tests for missing cases 2018-07-12 10:26:18 +02:00
generated Merge pull request #65737 from roycaihw/api-linter 2018-07-13 18:00:00 -07:00
kubeapiserver kube-apiserver: disallow --secure-port 0 2018-07-09 14:03:08 +02:00
kubectl Merge pull request #66926 from deads2k/kubectl-04-easy-scheme 2018-08-02 19:57:22 -07:00
kubelet Merge pull request #66938 from sjenning/avoid-mount-delay 2018-08-02 19:57:15 -07:00
kubemark Merge pull request #66284 from stewart-yu/stewart-sharedtype-move 2018-07-30 19:50:36 -07:00
master generated 2018-07-13 11:41:09 -04:00
printers Break annotations with newlines and shorten length 2018-07-31 19:22:50 -04:00
probe Run hack/update-bazel.sh 2018-06-22 16:22:57 -07:00
proxy make package name match all the import aliases 2018-08-01 15:31:12 -04:00
quota Merge pull request #65572 from yue9944882/fixes-admission-operation-mismatch-for-create-on-update 2018-07-19 10:42:54 -07:00
registry Improve the output of `kubectl get events` 2018-07-26 16:12:32 -04:00
routes
scheduler Merge pull request #65616 from cofyc/fix56163 2018-07-31 19:18:00 -07:00
security Cleanup & fix PodSecurityPolicy field path usage 2018-07-18 17:47:32 -07:00
securitycontext Run hack/update-bazel.sh 2018-06-22 16:22:57 -07:00
serviceaccount fix a nit error in log 2018-06-27 14:21:27 +08:00
ssh Run hack/update-bazel.sh 2018-06-22 16:22:57 -07:00
util Merge pull request #66850 from linyouchong/pr-0801-issue66809 2018-08-02 10:03:09 -07:00
version Set gazelle:importmap_prefix for everything under staging/src 2018-06-22 16:22:57 -07:00
volume Merge pull request #66832 from msau42/udev 2018-08-01 17:13:03 -07:00
watch/json Run hack/update-bazel.sh 2018-06-22 16:22:57 -07:00
windows/service Update to gazelle 0.12.0 and run hack/update-bazel.sh 2018-06-22 16:22:18 -07:00
.import-restrictions
BUILD Autogenerated stuff 2018-06-27 13:31:10 +02:00
OWNERS